- [HTTP request](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.request_body)
- [Response body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.ListAuctionPackageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#body.aspect)
- [Examples](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#examples)
- [Try it!](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages/list#try-it)

Lists auction packages.

### HTTP request

`GET https://dv360seller.googleapis.com/v1beta1/{parent=exchanges/*}/auctionPackages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. Example: `exchanges/123`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. Max allowed value is 50. If unspecified or more than 50, will use 50 as page size. |
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` Optional. Allows filtering by auction package properties. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `<field> <operator> <value>`. - The operator must be `EQUALS (=)`. - Supported fields: - `externalDealId` Examples: - Get Auction Packages with externalDealId set to `package-1234` `externalDealId="package-1234"` The length of this field should be no more than 500 characters. |

### Request body

The request body must be empty.

### Response body

Response to list auction packages.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "auctionPackage": [ { object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages#AuctionPackage`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `auctionPackage[]` | ``object (`https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.auctionPackages#AuctionPackage`)`` Listed auction packages. There will be a maximum number of items returned based on the pageSize field in the request. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).